Bug 18155 - After formating partition drives, Is unable to mount FileSystem. SystemError(22, "Invalid argument")
After formating partition drives, Is unable to mount FileSystem. SystemError(...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-02 19:10 EDT by Enrique Herrera
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-04 11:40:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrique Herrera 2000-10-02 19:10:17 EDT
here is the anacdump:


Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1472, in doInstall
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 713, in mountFilesystems
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
size: 2048287
fsystem: ext2
self: <fstab.NewtFstab instance at 8322f48>
msg: Invalid argument
doFormat: 0
errno: 22
device: hda2
instPath: /mnt/sysimage
mntpoint: /red52

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iurlinstall
UrlInstallMethod
p4
(dp5
S'baseUrl'
p6
S'ftp://download.sourceforge.net/pub/mirrors/redhat/redhat/redhat-7.0/i386/en'
sbsS'initlevel'
p7
I3
sS'skipLilo'
p8
I0
sS'progressWindow'
p9
NsS'expert'
p10
I0
sS'ddruidReadOnly'
p11
I0
sS'bootdisk'
p12
I0
sS'language'
p13
(itodo
Language
(dp14
S'abbrevMap'
p15
(dp16
S'es_ES'
p17
S'Spanish'
p18
sS'tr_TR'
p19
S'Turkish'
p20
sS'sr_YU'
p21
S'Serbian'
p22
sS'de_DE'
p23
S'German'
p24
sS'sk_SK'
p25
S'Slovak'
p26
sS'ru_RU.KOI8-R'
p27
S'Russian'
p28
sS'is_IS'
p29
S'Icelandic'
p30
sS'no_NO'
p31
S'Norwegian'
p32
sS'sv_SE'
p33
S'Swedish'
p34
sS'en_US'
p35
S'English'
p36
sS'it_IT'
p37
S'Italian'
p38
sS'da_DK'
p39
S'Danish'
p40
sS'cs_CZ'
p41
S'Czech'
p42
sS'uk_UA.KOI8-U'
p43
S'Ukrainian'
p44
sS'hu_HU'
p45
S'Hungarian'
p46
sS'fr_FR'
p47
S'French'
p48
sS'sl_SI'
p49
S'Slovenian'
p50
sS'ro_RO'
p51
S'Romanian'
p52
ssS'font'
p53
(dp54
g38
S'lat0-sun16'
sg22
S'cyr-sun16'
sg28
S'cyr-sun16'
sg36
S'None'
sg26
S'lat2-sun16'
sg32
S'lat0-sun16'
sg34
S'lat0-sun16'
sg48
S'None'
sg50
S'lat2-sun16'
sg52
S'lat2-sun16'
sg24
S'None'
sg20
S'lat5-sun16'
sg46
S'lat2-sun16'
sg18
S'None'
sg44
S'cyr-sun16'
sg42
S'lat2-sun16'
sg40
S'lat0-sun16'
sg30
S'lat0-sun16'
ssS'langs'
p55
(dp56
g38
g37
sg22
g21
sg28
g27
sg36
g35
sg26
g25
sg32
g31
sg34
g33
sg48
g47
sg50
g49
sg52
g51
sg24
g23
sg20
g19
sg46
g45
sg18
g17
sg44
g43
sg42
g41
sg40
g39
sg30
g29
ssS'info'
p57
(dp58
S'LANG'
p59
g35
ssS'map'
p60
(dp61
g38
S'iso15'
sg22
S'iso05'
sg28
S'koi8-r'
sg36
S'None'
sg26
S'iso02'
sg32
S'iso15'
sg34
S'iso15'
sg48
S'None'
sg50
S'iso02'
sg52
S'iso02'
sg24
S'None'
sg20
S'iso09'
sg46
S'iso02'
sg18
S'None'
sg44
S'koi8-u'
sg42
S'iso02'
sg40
S'iso15'
sg30
S'iso15'
ssS'lang'
p62
g35
sbsS'fstab'
p63
NsS'lilo'
p64
(ililo
LiloConfiguration
(dp65
S'liloDevice'
p66
S'mbr'
p67
sS'initrdsMade'
p68
(dsS'edd'
p69
I0
sS'default'
p70
S'red7'
p71
sS'liloImages'
p72
(dp73
S'hda1'
p74
(g71
I2
tssS'liloLinear'
p75
I1
sS'liloAppend'
p76
NsbsS'comps'
p77
NsS'network'
p78
(itodo
Network
(dp79
S'netdevices'
p80
(dp81
S'eth0'
p82
(itodo
NetworkDevice
(dp83
g57
(dp84
S'ONBOOT'
p85
S'yes'
sS'IPADDR'
p86
S'192.168.80.97'
sS'BOOTPROTO'
p87
S'static'
sS'NETMASK'
p88
S'255.255.255.0'
sS'DEVICE'
p89
g82
ssbssS'gateway'
p90
S'192.168.80.1'
sS'secondaryNS'
p91
S''
sS'hostname'
p92
S'akutan.emass.com'
sS'primaryNS'
p93
S'199.46.186.10'
sS'domains'
p94
(lp95
S'emass.com'
asS'isConfigured'
p96
I1
sS'readData'
p97
I1
sS'ternaryNS'
p98
S''
sbsS'upgrade'
p99
I0
sS'instClass'
p100
(icustom
InstallClass
(dp101
S'rootPasswordCrypted'
p102
I0
sS'nameserver'
p103
S''
sS'x'
NsS'rootPassword'
p104
NsS'makeBootdisk'
p105
I0
sS'installType'
p106
NsS'postScript'
p107
NsS'earlySwapOn'
p108
I0
sS'networkDevice'
p109
NsS'clearText'
p110
Nsg64
(g67
I1
S''
tsg13
NsS'name'
p111
S''
sS'postInChroot'
p112
I0
sS'pixmap'
p113
S''
sS'partitions'
p114
(lsS'clearType'
p115
Nsg90
S''
sS'mouse'
p116
NsS'packages'
p117
NsS'timezone'
p118
NsS'zeroMbr'
p119
I0
sS'keyboard'
p120
NsS'groups'
p121
NsS'bootProto'
p122
NsS'netmask'
p123
S''
sS'raidList'
p124
(lsS'skipSteps'
p125
(dsS'auth'
p126
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsg92
Nsg63
(lsS'showgroups'
p127
NsS'ip'
p128
S''
sS'defaultRunlevel'
p129
NsS'desktop'
p130
S''
sS'clearPartText'
p131
NsS'clearParts'
p132
I0
sbsS'rootpassword'
p133
NsS'extraModules'
p134
(lp135
sg116
(imouse
Mouse
p136
(dp137
S'device'
p138
S'ttyS0'
p139
sg57
(dp140
S'XMOUSETYPE'
p141
S'Microsoft'
p142
sS'FULLNAME'
p143
S'Generic - 3 Button Mouse (serial)'
p144
sS'MOUSETYPE'
p145
g142
ssS'emu'
p146
I0
sS'wasProbed'
p147
I1
sS'emulate'
p148
I0
sbsS'ddruidAlreadySaved'
p149
I0
sS'serial'
p150
I0
sg118
(S'US/Mountain'
I0
I0
tsg119
I0
sg120
(ikbd
Keyboard
(dp151
S'layout'
p152
NsS'model'
p153
NsS'type'
p154
S'PC'
p155
sg57
(dp156
S'KEYBOARDTYPE'
p157
S'pc'
p158
sS'KEYTABLE'
p159
S'us'
p160
ssbsS'skipFdisk'
p161
I0
sS'fdDevice'
p162
S'fd0'
p163
sS'installSystem'
p164
I1
sS'setupFilesystems'
p165
I1
sg126
(itodo
Authentication
(dp166
S'useNIS'
p167
I1
sS'nisServer'
p168
S''
sS'useLdap'
p169
I0
sS'krb5Kdc'
p170
S''
sS'useHesiod'
p171
I0
sS'ldapServer'
p172
S''
sS'nisDomain'
p173
S'192.168.80.2'
sS'krb5Realm'
p174
S''
sS'useLdapauth'
p175
I0
sS'hesiodRhs'
p176
S''
sS'useShadow'
p177
I1
sS'nisuseBroadcast'
p178
I1
sS'useKrb5'
p179
I0
sS'useMD5'
p180
I1
sS'ldapBasedn'
p181
S''
sS'krb5Admin'
p182
S''
sS'hesiodLhs'
p183
S''
sS'hesiodDlhs'
p184
S''
sbsg92
NsS'reconfigOnly'
p185
I0
sS'x'
(ixf86config
XF86Config
(dp186
S'monlist'
p187
(dsS'keyModel'
p188
S'pc101'
p189
sS'monids'
p190
(dsg138
NsS'monEisa'
p191
NsS'server'
p192
S'XFree86'
p193
sS'monHoriz'
p194
S'31.5'
p195
sS'devID'
p196
S'Intel 810'
p197
sS'descr'
p198
S'Intel Corporation|82810 CGC [Chipset Graphics Controller]'
p199
sS'modes'
p200
(dp201
S'8'
(lp202
S'640x480'
p203
assS'keyOptions'
p204
S''
sS'keyVariant'
p205
S''
sS'monID'
p206
S'Unprobed Monitor'
p207
sS'keyLayout'
p208
S'us'
p209
sS'manualModes'
p210
(dsg116
g136
sS'keyRules'
p211
S'xfree86'
p212
sS'monVert'
p213
S'60'
p214
sS'cardMan'
p215
NsS'monSect'
p216
S''
sS'primary'
p217
I0
sS'vidRam'
p218
NsS'probed'
p219
I1
sS'monName'
p220
NsS'vidCards'
p221
(lp222
(dp223
S'SERVER'
S'SVGA'
sS'NAME'
g197
sS'DRIVER'
S'i810'
sS'NOCLOCKPROBE'
S''
sS'CHIPSET'
S'Intel 810'
sasS'skip'
p224
I0
sS'files'
p225
S'\012# The location of the RGB database.  Note, this is the name of the\012# file minus the extension (like ".txt" or ".db").  There is 
normally\012# no need to change the default.\012\012    RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012# Multiple FontPath entries are allowed 
(they are concatenated together)\012# By default, Red Hat 6.0 and later now use a font server independent of\012# the X server to render 
fonts.\012\012    FontPath   "/usr/X11R6/lib/X11/fonts/TrueType"\012    FontPath   "unix/:7100"\012'
p226
sbsS'users'
p227
NsS'instPath'
p228
S'/mnt/sysimage'
p229
sS'_cardindex'
p230
I-1
sS'intf'
p231
NsS'hdList'
p232
Nsb.
Comment 1 Bernhard Rosenkraenzer 2000-10-02 19:13:10 EDT
Assigning to anaconda...
Comment 2 Enrique Herrera 2000-10-03 11:35:07 EDT
This Mornning (10-3-00), I tried it again installing redhat7 but this time just formating frist partition (hda1). This time it worked. I finished formating and it 
mounted the filesystem.  

Comment 3 Michael Fulbright 2000-10-03 16:15:37 EDT
Is hda2 a valid filesystem - you are trying to mount it under /red52.

Note You need to log in before you can comment on or make changes to this bug.